Skip to main content
POST
Update a maintenance window

State-specific mutability rules

Depending on the current state of the maintenance window, certain fields cannot be modified:
  • scheduled: All fields can be updated.
  • in_progress: You can update title, description, and extend ends_at (must be greater than or equal to the current ends_at). The starts_at date, monitoring_mode, monitors, and status_pages cannot be changed while maintenance is ongoing.
  • completed / cancelled: Only title and description can be modified (for example, to add post-maintenance notes). Timings, monitoring mode, and attached monitors/status pages cannot be changed.

Authorizations

Authorization
string
header
required

Use a user token to access authenticated routes. The token must be specified in the Authorization HTTP header with the following format 'Authorization: Bearer '.

Headers

X-Phare-Project-Id
integer

A project header is required when using an organization-scoped API key.

Example:

1

X-Phare-Project-Slug
string

A project header is required when using an organization-scoped API key.

Example:

"luminous-guiding-tower"

Path Parameters

maintenanceWindowId
integer
required

ID of the maintenance window to update

Body

application/json

Maintenance window request

title
string

Maintenance window title

Required string length: 1 - 250
Example:

"Database upgrade"

description
string | null

Description of the maintenance window

Required string length: 1 - 2000
Example:

"Planned database upgrade and maintenance"

monitoring_mode
enum<string>

Monitoring mode during maintenance

Available options:
pause,
mute,
normal
starts_at
string<date-time>

Date and time when the maintenance window starts, with minute precision (seconds must be 00). Must be within the next year.

ends_at
string<date-time>

Date and time when the maintenance window ends, with minute precision (seconds must be 00). Must be after starts_at and within the next year.

monitors
integer[]

List of monitor IDs linked to the maintenance window

Required array length: 1 - 100 elements
Example:
status_pages
integer[] | null

List of status page IDs linked to the maintenance window

Maximum array length: 100
Example:
tags
string[] | null

Resource tags, made of lowercase letters, numbers, ., _, : and -. An organization can have up to 200 tags.

Maximum array length: 20
Required string length: 1 - 100

Response

Success, maintenance window updated

monitoring_mode
enum<string>
required

Monitoring mode during maintenance

Available options:
pause,
mute,
normal
title
string
required

Maintenance window title

Required string length: 1 - 250
Example:

"Database upgrade"

starts_at
string<date-time>
required

Date and time when the maintenance window starts, with minute precision (seconds must be 00). Must be within the next year.

ends_at
string<date-time>
required

Date and time when the maintenance window ends, with minute precision (seconds must be 00). Must be after starts_at and within the next year.

monitors
integer[]
required

List of monitor IDs linked to the maintenance window

Required array length: 1 - 100 elements
Example:
id
integer

Maintenance window ID

Example:

1

project_id
integer

Parent project ID

Example:

1

state
enum<string>

Maintenance window state

Available options:
scheduled,
in_progress,
completed,
cancelled
description
string | null

Description of the maintenance window

Required string length: 1 - 2000
Example:

"Planned database upgrade and maintenance"

status_pages
integer[] | null

List of status page IDs linked to the maintenance window

Maximum array length: 100
Example:
tags
string[] | null

Resource tags, made of lowercase letters, numbers, ., _, : and -. An organization can have up to 200 tags.

Maximum array length: 20
Required string length: 1 - 100
created_at
string<date-time>

Date of creation for the entity

updated_at
string<date-time>

Date of last update for the entity

Last modified on September 4, 2026